GET /api/yields/median/{chain}
Median yield by chain
GET median data from yields service
Endpoint​
GET https://api.web3identity.com/api/yields/median/{chain}
Parameters​
| Name | In | Type | Required | Description |
|---|---|---|---|---|
chain | path | string | âś… | Blockchain network (ethereum, base, polygon, etc) |
Example Request​
curl -s "https://api.web3identity.com/api/yields/median/:chain" | jq
Responses​
200 Median​
{
"pool": "0x1234...5678",
"project": "Aave",
"symbol": "aDAI",
"chain": "Ethereum",
"tvlUsd": 1234567890,
"apy": 4.56,
"apyBase": 2.34,
"apyReward": 2.22,
"il7d": 0
}
400 Bad request - invalid parameters​
{
"example": "response"
}
402 Payment required - free tier exhausted​
{
"example": "response"
}
404 Resource not found​
{
"example": "response"
}
429 Rate Limited​
{
"example": "response"
}
500 Internal Server Error - Something went wrong on our end​
{
"error": "Internal server error",
"code": "INTERNAL_ERROR"
}
Auto-generated from OpenAPI spec